import { PropsWithChildren } from 'react';
import { ButtonProps } from 'react-bootstrap/Button';
import { ConfirmationComponent, IUseConfirmationProps as ICoreUseConfirmationProps, IConfirmationProps as ICoreConfirmationProps, IConfirmationActionProps as ICoreConfirmationActionProps } from '@reactionable/core';
import { FontAwesomeIconProps } from '@fortawesome/react-fontawesome';
export declare type IConfirmationProps = ICoreConfirmationProps;
export declare const Confirmation: ConfirmationComponent;
export interface IConfirmationActionProps<Data> extends ICoreConfirmationActionProps<Data> {
    label?: string;
    icon?: FontAwesomeIconProps;
    button?: ButtonProps;
}
export declare function ConfirmationAction<Data>({ label, button, icon, children, ...props }: PropsWithChildren<IConfirmationActionProps<Data>>): JSX.Element;
export declare type IUseConfirmationProps = ICoreUseConfirmationProps & {};
export declare const useConfirmation: (props: IUseConfirmationProps) => import("@reactionable/core").IUseConfirmationResult;
